/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.worklight.sample.conference.beans;

import java.text.DateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


public class Conference{
	
	private DateFormat df = DateFormat.getDateInstance(DateFormat.FULL);

	
	private String id;
	private String name;
	private Date date;
	

	private List<Session> sessions = new ArrayList<Session>();
	
	public Conference(String id, String name, Date date) {
		super();
		
		this.id = id;
		this.name = name;
		this.date = date;
	}
	public String getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public String getDate() {
		return df.format(date);
	}
	
	public void addSession (Session session){
		this.sessions.add(session);
	}
	

	public List<Session> getSessions() {
		return sessions;
	}

}
