/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2012. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.ibm.worklight.sample.conference.registry;

import java.util.HashMap;
import java.util.SortedSet;
import java.util.TreeSet;

import com.ibm.worklight.sample.conference.beans.Location;

public class LocationRegistry extends HashMap<String, Location> {

	private static final long serialVersionUID = 1L;
	private HashMap<String,SortedSet<String>> locationList = new HashMap<String,SortedSet<String>>();
	
	@Override
	public Location put(String id, Location location) {
		SortedSet<String> set=null;
		if(id.startsWith("usa")){
			if(locationList.containsKey("usa")){
				set = locationList.get("usa");
				set.add(id);
			}else{
				set = new TreeSet<String>();
				locationList.put("usa", set);
			}
		}else{
			if(locationList.containsKey("worldtrade")){
				set = locationList.get("worldtrade");
				set.add(id);
			}else{
				set = new TreeSet<String>();
				locationList.put("worldtrade", set);
			}
		}
		set.add(id);
		System.out.println("set ->" + set);
		return super.put(id, location);
	}

	public HashMap<String, SortedSet<String>> getLocationList() {
		System.out.println("locationList ->" + locationList);
		
		return locationList;
	}
	

}
